# SFML - Simple and Fast Multimedia Library

SFML 3.0.0

- Main Page
- Topics
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
sf::StencilValue Struct Reference

Stencil value type (also used as a mask) More...

`#include <SFML/Graphics/StencilMode.hpp>`

## Public Member Functions

| StencilValue (int theValue)
| Construct a stencil value from a signed integer.
| StencilValue (unsigned int theValue)
| Construct a stencil value from an unsigned integer.
template<typename T >
| StencilValue (T)=delete
| Disable construction from any other type.

## Public Attributes

unsigned int | value {}
| The stored stencil value.

## Detailed Description

Stencil value type (also used as a mask)

Definition at line 74 of file StencilMode.hpp.

## Constructor & Destructor Documentation

## ◆ StencilValue() [1/3]

sf::StencilValue::StencilValue | ( | int | theValue | ) |

Construct a stencil value from a signed integer.

Parameters

  theValue | Signed integer value to use

## ◆ StencilValue() [2/3]

sf::StencilValue::StencilValue | ( | unsigned int | theValue | ) |

Construct a stencil value from an unsigned integer.

Parameters

  theValue | Unsigned integer value to use

## ◆ StencilValue() [3/3]

template<typename T >

sf::StencilValue::StencilValue | ( | T |  | ) |

delete

Disable construction from any other type.

## Member Data Documentation

## ◆ value

unsigned int sf::StencilValue::value {}

The stored stencil value.

Definition at line 99 of file StencilMode.hpp.

The documentation for this struct was generated from the following file:

- StencilMode.hpp